<link rel="import" href="../bower_components/polymer/polymer-element.html">
<dom-module id="ciclo-vida">
    <template>
        <style>
            :host {
                display: block
            }
        </style>
        <div>Este es un elemento "ciclo-vida"</div>
    </template>
    <script>
        class CicloVida extends Polymer.Element {
            static get is() {
                return 'ciclo-vida';
            }
            static get properties() {
                return {
                    test: String
                };
            }
            constructor() {
                super();
                console.log('Ejecutándose el constructor')
            }
            connectedCallback() {
                super.connectedCallback();
                console.log('Ejecutándose connectedCallback');
            }
            disconnectedCallback() {
                super.disconnectedCallback();
                console.log('Ejecutándose disconnectedCallback');
            }
            attributeChangedCallback(nombre, valorAnterior, valorNuevo) {
                super.attributeChangedCallback();
                console.log('Ejecutándose attributeChangedCallback', nombre, valorAnterior, valorNuevo);
            }
            ready() {
                super.ready();
                console.log('Ejecutándose ready');
            }
        }
        window.customElements.define(CicloVida.is, CicloVida);
    </script>
</dom-module>